
___doc___='''ZUnit Product Initialization'''

__version__='0.2'

import ExternalTestCase
import TestRunner

# LRA: just to save keystrokes and screen real estate
extc = ExternalTestCase
tr = TestRunner

#misc = {}

def initialize(context):
    context.registerClass(extc.ExternalTestCase,
                          constructors = (extc.manage_addExternalTestCaseForm,
                                          extc.manage_addExternalTestCase)
                          )
    context.registerClass(tr.TestRunner,
                          constructors = (tr.manage_addTestRunnerForm,
                                          tr.manage_addTestRunner)
                          )
    context.registerHelp()
    context.registerHelpTitle('ZUnit')


# this is so that people can say 'from Products.ZUnit import ...'
from Tests import *
